cURL
curl --request GET \
--url https://app-api.aide.app/v1/conversations/{id}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/conversations/{id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/conversations/{id}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "conversation_orders",
"verified": true,
"customer": {
"object": "store_customer",
"email": "<string>",
"name": "<string>",
"id": "<string>",
"phone": "<string>",
"currency": "<string>",
"storeUrl": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"ordersCount": 123,
"totalSpent": "<string>",
"adminUrl": "<string>"
},
"orders": [
{
"number": 123,
"object": "order",
"name": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"total": "<string>",
"currency": "<string>",
"note": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"financialStatus": "<string>",
"fulfillmentStatus": "cancelled",
"items": [
{
"id": "<string>",
"title": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"quantity": 123,
"sku": "<string>",
"variantTitle": "<string>",
"fulfilledQuantity": 123,
"unfulfilledQuantity": 123
}
],
"refunded": "<string>",
"cancelledAt": "<string>",
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"zip": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"adminUrl": "<string>",
"attributedToConversation": true,
"currentTotal": "<string>",
"refundable": "<string>",
"fulfillments": [
{
"number": "<string>",
"url": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"events": [
{
"source": "carrier",
"status": "<string>",
"message": "<string>",
"location": "<string>",
"happenedAt": "<string>"
}
],
"deliveredAt": "<string>",
"carrier": "<string>",
"items": [
{
"title": "<string>",
"quantity": 123,
"lineItemId": "<string>"
}
],
"estimatedDeliveryAt": "<string>",
"lastEvent": {
"text": "<string>",
"happenedAt": "<string>"
}
}
]
}
],
"viewing": {
"object": "viewed_product",
"product": {
"url": "<string>",
"id": "<string>",
"availability": {
"status": "in_stock",
"total": 123,
"inStock": 123
},
"title": "<string>",
"currency": "<string>",
"image": {
"url": "<string>",
"alt": "<string>"
},
"adminUrl": "<string>",
"priceRange": {
"min": "<string>",
"max": "<string>"
}
},
"variant": {
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
},
"price": "<string>",
"compareAtPrice": "<string>",
"inventoryQuantity": 123,
"stockStatus": "in_stock"
},
"seenAt": "<string>",
"pageUrl": "<string>"
},
"viewingCollection": {
"object": "viewed_collection",
"collection": {
"title": "<string>",
"productsCount": 123
},
"seenAt": "<string>",
"pageUrl": "<string>"
},
"cart": {
"object": "cart",
"updatedAt": "<string>",
"currency": "<string>",
"totalPrice": "<string>",
"itemCount": 123,
"lines": [
{
"title": "<string>",
"product": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"image": {
"url": "<string>",
"alt": "<string>"
}
},
"variant": {
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
}
},
"quantity": 123,
"linePrice": "<string>"
}
]
},
"matchedBy": "email"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ConversationOrder
Get v1conversations orders
GET
/
v1
/
conversations
/
{id}
/
orders
cURL
curl --request GET \
--url https://app-api.aide.app/v1/conversations/{id}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/conversations/{id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/conversations/{id}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "conversation_orders",
"verified": true,
"customer": {
"object": "store_customer",
"email": "<string>",
"name": "<string>",
"id": "<string>",
"phone": "<string>",
"currency": "<string>",
"storeUrl": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"ordersCount": 123,
"totalSpent": "<string>",
"adminUrl": "<string>"
},
"orders": [
{
"number": 123,
"object": "order",
"name": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"id": "<string>",
"total": "<string>",
"currency": "<string>",
"note": "<string>",
"metafields": [
{
"url": "<string>",
"name": "<string>",
"value": "<string>",
"key": "<string>",
"references": [
{
"handle": "<string>",
"url": "<string>",
"kind": "collection",
"title": "<string>"
}
],
"type": "<string>",
"namespace": "<string>",
"display": "<string>"
}
],
"financialStatus": "<string>",
"fulfillmentStatus": "cancelled",
"items": [
{
"id": "<string>",
"title": "<string>",
"imageUrl": "<string>",
"price": "<string>",
"quantity": 123,
"sku": "<string>",
"variantTitle": "<string>",
"fulfilledQuantity": 123,
"unfulfilledQuantity": 123
}
],
"refunded": "<string>",
"cancelledAt": "<string>",
"shippingAddress": {
"name": "<string>",
"phone": "<string>",
"zip": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"province": "<string>",
"country": "<string>",
"countryCode": "<string>"
},
"adminUrl": "<string>",
"attributedToConversation": true,
"currentTotal": "<string>",
"refundable": "<string>",
"fulfillments": [
{
"number": "<string>",
"url": "<string>",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"events": [
{
"source": "carrier",
"status": "<string>",
"message": "<string>",
"location": "<string>",
"happenedAt": "<string>"
}
],
"deliveredAt": "<string>",
"carrier": "<string>",
"items": [
{
"title": "<string>",
"quantity": 123,
"lineItemId": "<string>"
}
],
"estimatedDeliveryAt": "<string>",
"lastEvent": {
"text": "<string>",
"happenedAt": "<string>"
}
}
]
}
],
"viewing": {
"object": "viewed_product",
"product": {
"url": "<string>",
"id": "<string>",
"availability": {
"status": "in_stock",
"total": 123,
"inStock": 123
},
"title": "<string>",
"currency": "<string>",
"image": {
"url": "<string>",
"alt": "<string>"
},
"adminUrl": "<string>",
"priceRange": {
"min": "<string>",
"max": "<string>"
}
},
"variant": {
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
},
"price": "<string>",
"compareAtPrice": "<string>",
"inventoryQuantity": 123,
"stockStatus": "in_stock"
},
"seenAt": "<string>",
"pageUrl": "<string>"
},
"viewingCollection": {
"object": "viewed_collection",
"collection": {
"title": "<string>",
"productsCount": 123
},
"seenAt": "<string>",
"pageUrl": "<string>"
},
"cart": {
"object": "cart",
"updatedAt": "<string>",
"currency": "<string>",
"totalPrice": "<string>",
"itemCount": 123,
"lines": [
{
"title": "<string>",
"product": {
"url": "<string>",
"id": "<string>",
"title": "<string>",
"image": {
"url": "<string>",
"alt": "<string>"
}
},
"variant": {
"id": "<string>",
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"image": {
"url": "<string>",
"alt": "<string>"
}
},
"quantity": 123,
"linePrice": "<string>"
}
]
},
"matchedBy": "email"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}